
Ruby - Bug #5829

/dl/test_cptr.rb Segmentation fault on Ruby 1.9.3 P0

12/31/2011 02:31 PM - raylinn@gmail.com (ray linn)

Status: Closed   

Priority: Normal   

Assignee: nobu (Nobuyoshi Nakada)   

Target version:    

ruby -v: ruby 1.9.3p0 (2011-10-30)

[x64-mingw32]

Backport:  

Description

Hi Sir,

I compiled Ruby 1.9.3 P0 with MinGW64 (GCC 4.6.1) under Windows 64, and when running test-all ,the Segmentation fault occurs

again on test dl:

.........C:/msys/1.0/home/beta/ruby-1.9.3-p0/test/dl/test_cptr.rb:84: [BUG] Segmentation fault

ruby 1.9.3p0 (2011-10-30) [x64-mingw32]

Could you help to look at this issue?

History

#1 - 12/31/2011 02:32 PM - raylinn@gmail.com (ray linn)

- File mkmf.log added

mkmf log of dl

#2 - 02/07/2012 05:27 AM - kosaki (Motohiro KOSAKI)

- Tracker changed from Backport to Bug

- Project changed from 13 to Ruby

This isn't a backport request. fix it.

#3 - 03/11/2012 05:15 PM - ko1 (Koichi Sasada)

- Assignee set to tenderlovemaking (Aaron Patterson)

- ruby -v set to ruby 1.9.3p0 (2011-10-30) [x64-mingw32]

#4 - 03/11/2012 05:16 PM - ko1 (Koichi Sasada)

- Assignee changed from tenderlovemaking (Aaron Patterson) to nobu (Nobuyoshi Nakada)

#5 - 03/12/2012 12:47 PM - nobu (Nobuyoshi Nakada)

Seems like a bug in the test code.

#6 - 03/18/2012 06:46 PM - shyouhei (Shyouhei Urabe)

- Status changed from Open to Assigned

#7 - 04/27/2012 02:13 PM - raylinn@gmail.com (ray linn)

This can be closed now. already find out it is DL CPtr issue.

#8 - 01/05/2015 12:48 AM - hsbt (Hiroshi SHIBATA)

- Status changed from Assigned to Closed

DL is removed from stdlib of Ruby 2.2.0

Files
log.txt 92.6 KB 12/31/2011 raylinn@gmail.com (ray linn)

mkmf.log 2.1 KB 12/31/2011 raylinn@gmail.com (ray linn)
